# QLibraryInfo Class Reference

### [com.trolltech.qt.core package]

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QLibraryInfo prototype object
- QDate buildDate()
- String buildKey()
- String licensedProducts()
- String licensee()
- String location(LibraryLocation arg__1)
- PrefixPath
- DocumentationPath
- HeadersPath
- LibrariesPath
- BinariesPath
- PluginsPath
- DataPath
- TranslationsPath
- SettingsPath
- DemosPath
- ExamplesPath
- ImportsPath
- LibraryLocation( value )

### Instance Properties

QLibraryInfo objects have no special properties beyond those inherited from the QLibraryInfo prototype object.